com.smartgwt.client.types

## Enum Visibility

- java.lang.Object
- - java.lang.Enum<Visibility>
  - - com.smartgwt.client.types.Visibility

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<Visibility>

      public enum Visibility
      extends java.lang.Enum<Visibility>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIDDEN` The widget will always be hidden even when its parent is visible.
    `INHERIT` The widget visibility will match that of its parent (usually visible).
    `VISIBLE` The widget will always be visible whether its parent is or not.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static Visibility` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Visibility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INHERIT

          public static final Visibility INHERIT

      The widget visibility will match that of its parent (usually visible).

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "inherit".

    - #### VISIBLE

          public static final Visibility VISIBLE

      The widget will always be visible whether its parent is or not.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "visible".

    - #### HIDDEN

          public static final Visibility HIDDEN

      The widget will always be hidden even when its parent is visible.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hidden".

  - ### Method Detail

    - #### values

          public static Visibility[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Visibility c : Visibility.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Visibility valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`